[B059] Drug approval file

post
https://connect.patsnap.com/synapse/drug/approval/file
Try in Sandbox

Obtain drug approval file

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
drug_id
string68431d4745744d9e9e17a3073edd3920
DRUG ID, MUST NOT be used with the 'approvalId' and 'approvalSource' field.
approval_id
array[ "25854e08d0e9858e89ad4438028589d2" ]
Drug Approval ID, MUST be used with the 'approvalSource' field. Obtain this through the [B019] Drug approval information interface
approval_source
stringFDA
Approval Source, MUST be used with the 'approvalId' field.The value is an enum with the following values: FDA,EMA,PMDA

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
object-
response data
ema
array[ { "type": "Lumykras : EPAR - Product Information", "source_url": "https://www.ema.europa.eu/documents/product-information/lumykras-epar-product-information_en.pdf" } ]
EMA
type
stringLetter
Type
source_url
stringhttp://www.accessdata.fda.gov/drugsatfda_docs/appletter/2021/214665Orig1s000ltr.pdf
Source Url
approval_date
integer<int64>1041292800000
Approval Date
drug_approval_id
string25854e08d0e9858e89ad4438028589d2
Approval ID
fda
array[ { "type": "Letter", "source_url": "http://www.accessdata.fda.gov/drugsatfda_docs/appletter/2021/214665Orig1s000ltr.pdf" } ]
FDA
pmda
array[ { "type": "HTML", "source_url": "https://www.pmda.go.jp/PmdaSearch/iyakuDetail/112292_4291076F1022_1_02" } ]
PMDA
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": {
    "ema": [
      {
        "type": "Letter",
        "source_url": "http://www.accessdata.fda.gov/drugsatfda_docs/appletter/2021/214665Orig1s000ltr.pdf",
        "approval_date": 1041292800000,
        "drug_approval_id": "25854e08d0e9858e89ad4438028589d2"
      }
    ],
    "fda": [
      {
        "type": "Letter",
        "source_url": "http://www.accessdata.fda.gov/drugsatfda_docs/appletter/2021/214665Orig1s000ltr.pdf",
        "approval_date": 1041292800000,
        "drug_approval_id": "25854e08d0e9858e89ad4438028589d2"
      }
    ],
    "pmda": [
      {
        "type": "Letter",
        "source_url": "http://www.accessdata.fda.gov/drugsatfda_docs/appletter/2021/214665Orig1s000ltr.pdf",
        "approval_date": 1041292800000,
        "drug_approval_id": "25854e08d0e9858e89ad4438028589d2"
      }
    ]
  },
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200001API call exceeds the total limit set by the platform!
67200002Quota exceeds the limit!
67200003Access token expired or authentication error!
67200004No permission or API package quota has exceeded the limit!
67200005Insufficient balance, call failed!
67200006This client has expired and call failed!
67200007Exceeded the call limit, call failed!

HTTP Status Codes

Status CodeDescription
0Success
201Created
401Unauthorized
403Forbidden
404Not Found

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms